API reference
PUTRequires Bearer token
Update retention settings
/api/logs-audit/retention
Update /api/logs-audit/retention. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.
Path parameters
This endpoint has no path parameters.
Query parameters
This endpoint has no query parameters.
Request body
| Field | Type | Description |
|---|---|---|
retention_years | integer | Retention period. e.g. 7 |
auto_archive | boolean | Archive automatically. e.g. true |
worm_storage | boolean | Write-once storage. e.g. false |
hash_chaining | boolean | Hash-chain events. e.g. true |
qualified_timestamp | boolean | Stamp the chain with a qualified TSA. e.g. false |
Responses
| Status | Meaning |
|---|---|
| 200 | Retention |
| 401 | Missing or invalid Bearer token. |